using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Text;
using System.Windows.Forms;
using Syncfusion.Windows.Forms.Grid;

namespace GCSwapDelete
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            for (int i = 1; i <= 10; i++)
                for (int j = 1; j <= 10; j++)
                    this.gridControl1[i, j].Text = i.ToString() + "00";
            this.gridControl1.Model.Options.ListBoxSelectionMode = SelectionMode.One;
            this.gridControl1.SelectCellsMouseButtonsMask = MouseButtons.Left;
            //this.gridControl1.ControllerOptions = GridControllerOptions.DragColumnHeader;
        }

        int row;
        private void upToolStripMenuItem_Click(object sender, EventArgs e)
        {
            row = this.gridControl1.Selections.Ranges.ActiveRange.Top;
            if (row > 1)
            {
                this.gridControl1.Focus();
                this.gridControl1.Rows.MoveRange(row, row - 1);
                this.gridControl1.Refresh();
            }
        }

        private void downToolStripMenuItem_Click(object sender, EventArgs e)
        {
            if (row < this.gridControl1.RowCount)
            {
                this.gridControl1.Rows.MoveRange(row, row + 1);
                this.gridControl1.Refresh();
            }
        }

        private void deletToolStripMenuItem_Click(object sender, EventArgs e)
        {
            this.gridControl1.Rows.RemoveRange(row1, row1);
            this.gridControl1.Invalidate();
        }

        int row1, col;
        private void gridControl1_MouseDown(object sender, MouseEventArgs e)
        {
            GridControl grid = sender as GridControl;
            grid.PointToRowCol(new Point(e.X, e.Y), out row1, out col);
            this.gridControl1.ContextMenuStrip = this.contextMenuStrip1;
        }
    }
}